## ros-indigo-segbot-sensors 0.3.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(segbot_sensors)

find_package(catkin REQUIRED
  COMPONENTS
    diagnostic_msgs
    dynamic_reconfigure
    geometry_msgs
    laser_filters
    message_generation
    nodelet
    pcl_ros
    pluginlib
    roscpp
    roslint
    sensor_msgs
    smart_battery_msgs
    std_msgs
    tf)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/SegbotVelodyneOutlierRemoval.cfg
)

catkin_package(
  CATKIN_DEPENDS
    diagnostic_msgs
    dynamic_reconfigure
    geometry_msgs
    laser_filters
    message_runtime
    nodelet
    pcl_ros
    sensor_msgs
    smart_battery_msgs
    std_msgs
    tf
  INCLUDE_DIRS
    include
  LIBRARIES
    segbot_sensors_filters
    range_to_cloud
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src/sonar)

add_library(segbot_sensors_filters 
  src/segbot_sensors_filters.cpp
  src/segbot_velodyne_outlier_removal.cpp)
add_dependencies(segbot_sensors_filters ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(segbot_sensors_filters 
  ${Boost_LIBRARIES} 
  ${catkin_LIBRARIES}
)

add_executable(battery_diagnostics src/segbot_sensors/battery_diagnostics.cpp)
target_link_libraries(battery_diagnostics ${catkin_LIBRARIES})

add_executable(fake_volt_pub src/segbot_sensors/fake_volt_pub.cpp)
target_link_libraries(fake_volt_pub ${catkin_LIBRARIES})

# Install the plugin and the plugin description
install (DIRECTORY include/segbot_sensors/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install (TARGETS segbot_sensors_filters battery_diagnostics fake_volt_pub
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES nodelets.xml segbot_sensors_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executable Python nodes
install(DIRECTORY nodes/
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS)

# Install runtime launch and configuration files
foreach(dir config launch rviz)
  install(DIRECTORY ${dir}/ 
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

# Lint Python modules for PEP8 compatibility
file(GLOB_RECURSE ${PROJECT_NAME}_PY_SCRIPTS
     RELATIVE ${PROJECT_SOURCE_DIR} nodes/* src/${PROJECT_NAME}/*.py)
roslint_python(${${PROJECT_NAME}_PY_SCRIPTS})

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
  roslaunch_add_file_check(launch/arduino)
  roslaunch_add_file_check(launch/diagnostic)
  roslaunch_add_file_check(launch/hokuyo)
  roslaunch_add_file_check(launch/kinect)
  roslaunch_add_file_check(launch/ptgrey)
endif()

=== src/sonar/CMakeLists.txt ===
# Conversions for sensor_msgs/Range messages
# used for segbot version 2
add_library(range_to_cloud range_nodelet.cpp range_to_cloud.cpp)
target_link_libraries(range_to_cloud ${catkin_LIBRARIES})
install (TARGETS range_to_cloud
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-segbot-sensors (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.4-0trusty) trusty; urgency=high

  * unit test fixes (#65 <https://github.com/utexas-bwi/segbot/issues/65>)
  * fix roslint errors
  * add missing dependency (#62 <https://github.com/utexas-bwi/segbot/issues/62>)
  * modifications to the battery estimator to accomodate values greater
    than that of which the model was fitted from
  * updated the battery_diagnostics node to use a battery model if one
    exists on the segbot. If so, battery estimation times are added to
    diagnostics, otherwise its business as usual.
  * modified naming system for diagnostic messages. Added python
    dependencies required by the battery_profiler.py
  * segbot_v3: add robot monitor for diagnostics
  * added additional flexability to the battery_diagnostics sendmail
    node that will now allow parameters to be set in the launch file to
    reflect local segbot differences (different threshold levels,
    etc). Appropriate values have been added for the segbot_v3 in its
    launchfile. The segbot_v3 controller now republishes battery
    information onto the topic assumed by the battery diagnostics.
  * updated for hokuyo on segbot v3
  * changed filter in velodyne launch script.
  * added an outlier removal filter for the velodyne.
  * added statistical outlier filter.
  * switch from pointcloud to laserscan in navigation for the velodyne. Introduce the scan shadows filter.
  * added velodyne launch files for version 3
  * Contributors: Jack O'Quin, Maxwell Svetlik, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.3-0trusty) trusty; urgency=high

  * partial fix to #48 <https://github.com/utexas-bwi/segbot/issues/48>.
  * segbot_sensors: lower bettery diagnostics smoothing parameter (#40 <https://github.com/utexas-bwi/segbot/issues/40>)
  * segbot_sensors: set rospy.Publisher queue_size (fixes #38 <https://github.com/utexas-bwi/segbot/issues/38>)
  * updated kinect launch file to work on both hydro and indigo.
  * segbot_sensors: convert to package format two (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_sensors: add missing diagnostics dependencies (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
    add launch check for diagnostics script
  * segbot_sensors: separate basic arduino launch from test scaffolding (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_sensors: use narrower sonar field of view, experimentally measured
  * Contributors: Jack O'Quin, Maxwell Svetlik, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.3.0-0trusty) trusty; urgency=high

  * use different list of filters for segbot v1 and segbot v2 due to differences between different laser models.
  * added a launch file for ethernet hokuyo for segbot v2.
  * added some code to process low battery messages. The robots will now attempt to send an email if they're reaching
    low battery levels.
  * big rework of all the arduino code to support the sensors on the new mounting plate.
  * added some diagnostic publications.
  * removed hack in nan_to_inf filter that was setting values to max_range - epsilon.
  * Contributors: Jack O'Quin, Jivko Sinapov, Maxwell Svetlik, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot-sensors (0.2.1-0trusty) trusty; urgency=high

  * fix some problems catkin_lint discovered
  * segbot_sensors: make roslaunch checks complete (#20 <https://github.com/utexas-bwi/segbot/issues/20>)

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot-sensors (0.2.0-0trusty) trusty; urgency=high

  * Release to Hydro.
  * segbot_sensors: add explicit build dependency on nodelet.
  * segbot_sensors: restore missing build dependencies
    (fixes #25 <https://github.com/utexas-bwi/segbot/issues/25>).
  * Added udev rules for segbot, and updated the kinect laserscan
    configuration.
  * Removed catkin_lint errors.
    Modify parser so a single Arduino message can provide any subset of the sensors.
  * sensor_ranges_driver: get port and baud from ROS parameters
    If port is not a tty, open as a regular file containing test data.
  * segbot_sensors: add explicit message dependency to CMakeLists.txt.
  * segbot_sensors: add no-op ranges to cloud nodelet.
  * sensor_ranges_driver: ignore non-ASCII characters sent from device.
  * sensor_ranges_driver: improve shutdown and error handling.
  * segbot_sensors: use roslint on Python scripts to do PEP8 checking.
  * segbot_sensors: add sensor_ranges_driver for Arduino data.
  * Updated descriptions and licensing information.

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

ros-indigo-segbot-sensors (0.1.9-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Dec 2013 06:00:00 -0000

ros-indigo-segbot-sensors (0.1.8-0trusty) trusty; urgency=high

  * add missing segbot_sensors dependency on depthimage_to_laserscan
    (#20 <https://github.com/utexas-bwi/segbot/issues/20>).
  * use ``roslaunch_add_files_check()`` to test that required launch
    file dependencies are declared.
  * fixed a few minor errors found on the real robot
  * added configuration with both the hokuyo and kinect in it
  * preparing to add kinect as well as the hokuyo for navigation
  * change nan to inf filter to handle max_range+ values as well. need to sort this all out in navigation
  * update change history


=== debian/control ===
Source: ros-indigo-segbot-sensors
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-laser-filters, ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-smart-battery-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/segbot_sensors
Standards-Version: 3.9.2

Package: ros-indigo-segbot-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, python-scipy, python-serial, ros-indigo-camera1394, ros-indigo-depthimage-to-laserscan, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-filters, ros-indigo-freenect-launch, ros-indigo-geometry-msgs, ros-indigo-hokuyo-node, ros-indigo-laser-filters, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-openni-launch, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rqt-robot-monitor, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-smart-battery-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-ros, ros-indigo-urg-node, ros-indigo-velodyne-driver, ros-indigo-velodyne-pointcloud
Description: Contains sensor specific launch files and all the relevant filters that are applied on sensor data before being used by the segbot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-sensors//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
